API ReferenceDay-ahead price (EU)
Actual
get
/v4/price-day-ahead/actualGet settled and published day-ahead prices for a zone.
Query Parameters
zone optional
An Electricity Maps zone key.
Example: "DK-DK2"
start required
The start datetime to get the data for.
Format: ISO 8601 datetime
Example: "2024-05-19T03:00:00Z"
end required
The end datetime to get the data for.
Format: ISO 8601 datetime
Example: "2024-05-19T08:00:00Z"
temporalGranularity optional
The temporal granularity of the data to get.
Default: "hourly"
One of: "5_minutes", "15_minutes", "hourly", "daily", "monthly", "quarterly", "yearly"
lat optional
Latitude of the location to get the data for.
Example: 41.877
lon optional
Longitude of the location to get the data for.
Example: -88.0703
disableCallerLookup optional
If true, the fallback IP-based zone lookup will not be performed.
Default: false
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v4/price-day-ahead/actual?start=2024-05-19T03%3A00%3A00Z&end=2024-05-19T08%3A00%3A00Z"{ "zone": "DK-DK2", "data": [ { "zone": "DK-DK2", "datetime": "2024-05-19T03:00:00.000Z", "createdAt": "2024-05-16T03:48:50.419Z", "updatedAt": "2025-07-25T12:32:42.039Z", "value": 100, "unit": "EUR/MWh", "source": "settled_and_published_price", "temporalGranularity": "hourly" } ], "temporalGranularity": "hourly"}Playground
get
/v4/price-day-ahead/actualExplore the API with a 14-day trial.